Full name: projects.locations.instances.legacyPlaybooks.exportWorkflowWithBlocksByIdentifier
Imports multiple playbook definitions from a ZIP file into the current instance. Use this method for bulk deployment of response workflows.
HTTP request
- Upload URI, for media upload requests:
POST https://{endpoint}/upload/v1alpha/{instance}/legacyPlaybooks:legacyImportDefinitions - Metadata URI, for metadata-only requests:
POST https://{endpoint}/v1alpha/{instance}/legacyPlaybooks:legacyImportDefinitions
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
instance |
Required. The instance to import the definitions for. Format: projects/{project}/locations/{location}/instances/{instance} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "media": { object ( |
| Fields | |
|---|---|
media |
Information representing the imported data. |
mediaInfo |
Metadata about the media upload request. Information representing the imported data |
Response body
LegacyPlaybookImportDefinitionsResponse is a response for importing the Workflow definitions from a zip file.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"workflowIdentifiers": [
string
],
"mediaInfo": {
object ( |
| Fields | |
|---|---|
workflowIdentifiers[] |
Optional. The identifiers of the imported definitions. |
mediaInfo |
Metadata about the media upload response. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the instance resource:
chronicle.legacyPlaybooks.import
For more information, see the IAM documentation.